cake_1.1.19.6305でエラー Warning bake.php on line 910

■CakePHP 1.1.19.6305でビューを作成時にエラー(Warning)が発生した。

Warning: Invalid argument supplied for foreach() in /Users/FinalCut/Sites/cake/cake/scripts/bake.php on line 910 

現在のバージョンcake_1.1.19.6305だとエラーが発生するので、古いバージョンcake_1.1.18.5850をダウンロードした。(ナイトリーのビルドもダメだったので)

http://cakeforge.org/frs/download.php/549/cake_1.1.18.5850.tar.bz2

 

コピーするときはこんな感じで。 バックアップしてから行うこと。

$ cp -prf cake_1.1.18.5850/* cake/

コピーした後は、バックアップから.htaccessを戻してmod_rewriteが有効になるようにする。

cake/.htaccess

cake/app/.htaccess

cake/app/webroot/.htaccess